package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.KnzzGlApply;
import com.srs.comprehensive.domain.KnzzZzqApply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * 自治区人民政府奖学金Mapper接口
 *
 * @author srs
 * @date 2025-05-12
 */
@Mapper
public interface KnzzZzqApplyMapper extends BaseMapper<KnzzZzqApply> {

    public List<KnzzZzqApply> listView(KnzzZzqApply param);
    /**
     * 查询自治区人民政府奖学金
     *
     * @param id 自治区人民政府奖学金主键
     * @return 自治区人民政府奖学金
     */
    public KnzzZzqApply selectKnzzZzqApplyById(Long id);

    /**
     * 查询自治区人民政府奖学金列表
     *
     * @param knzzZzqApply 自治区人民政府奖学金
     * @return 自治区人民政府奖学金集合
     */
    List<KnzzZzqApply> selectKnzzZzqApplyList(KnzzZzqApply knzzZzqApply);

    /**
     * 新增自治区人民政府奖学金
     *
     * @param knzzZzqApply 自治区人民政府奖学金
     * @return 结果
     */
    int insertKnzzZzqApply(KnzzZzqApply knzzZzqApply);

    /**
     * 修改自治区人民政府奖学金
     *
     * @param knzzZzqApply 自治区人民政府奖学金
     * @return 结果
     */
    int updateKnzzZzqApply(KnzzZzqApply knzzZzqApply);

    /**
     * 删除自治区人民政府奖学金
     *
     * @param id 自治区人民政府奖学金主键
     * @return 结果
     */
    int deleteKnzzZzqApplyById(Long id);

    /**
     * 批量删除自治区人民政府奖学金
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteKnzzZzqApplyByIds(Long[] ids);
}
